import bb.cascades 1.2

Sheet {
    id: helpSheet
    Page {
        Container {
            layout: StackLayout {}
            Container {
                topPadding: 10
                leftPadding: topPadding
                rightPadding: topPadding
                bottomPadding: topPadding
                horizontalAlignment: HorizontalAlignment.Fill
                Button {
                    text: qsTr("Close") + Retranslate.onLocaleOrLanguageChanged
                    onClicked: {
                        webViewBack.reload();
                        helpSheet.close();
                    }
                    horizontalAlignment: HorizontalAlignment.Fill
                }
            }                    
            ScrollView {
                scrollViewProperties {
                    scrollMode: ScrollMode.Both
//                   pinchToZoomEnabled: true
                    initialScalingMethod: ScalingMethod.AspectFit
                }
                Container {                    
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill                            
                    WebView {
                        id: webViewBack
                        url: "http://filearchivehaven.com/data/AV3/help.html"
                        settings.background: Color.Black
                        accessibility.name: "helpWebView"
                        accessibility.description: "Help Page"
                        settings.devicePixelRatio: 1.0
                    }
                }
                accessibility.description: "Scrolling"
                accessibility.name: "helpScrollView"
            }
            Button {                                
                text: qsTr("Back") + Retranslate.onLocaleOrLanguageChanged
                onClicked: webViewBack.goBack()
                visible: webViewBack.canGoBack
                horizontalAlignment: HorizontalAlignment.Fill
            }                    
        }
    }   
}
