import bb.cascades 1.2

Sheet {
    id: statsSheet    
    objectName: "m_statsSheet"
    Page {
        Container {
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            topPadding: 10
            leftPadding: topPadding
            rightPadding: topPadding
            bottomPadding: topPadding
            
            layout: StackLayout {}                    
            
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                Button {
                    horizontalAlignment: HorizontalAlignment.Fill
                    text: qsTr("Close") + Retranslate.onLocaleOrLanguageChanged
                    onClicked: {
                        if (_app.openedAsCard())
                        	_app.sendCardDoneMessage("Done", _app.statsLabelText);
                        else
                        	statsSheet.close();
                    }
                }
            }
            ScrollView {
                Container {
                    topPadding: 50
                    verticalAlignment: VerticalAlignment.Fill
                    horizontalAlignment: HorizontalAlignment.Fill
                    Label{
                        text: _app.statsLabelText
                        verticalAlignment: VerticalAlignment.Fill
                        multiline: true
                    }
                }
                accessibility.description: "Scrolling"
                accessibility.name: "informationScrollView"
            }
        }
    }
}    
